function importance = MakeImportanceMap(FILE,resize_ratio)

if nargin==1
    resize_ratio=1;
end

global ImportantMap;
im = imread(FILE);

im=imresize(im,round([size(im,1)*resize_ratio,size(im,2)*resize_ratio]),'bicubic');
im(im<0)=0;
im(im>255)=255;

im2 = uint8(zeros(size(im(:, :, 1))));
h2 = figure;
image(im2);
cmap = colormap(Gray(256));
set(gcf,'colormap', cmap,'DoubleBuffer','on')
h = figure;
image(im);
ImportantMap = im2; 
set(gcf,'DoubleBuffer','on')
ImportantMap = mpaint(h, h2, ImportantMap);  
uiwait(h); 
disp('paint finished');
importance = double(ImportantMap)/255; 