function evid = GMM_evidence( X, mix )

% evid = GMM_evidence( X, gmm )
% Compute the "evidence" for each point X, wrt the GMM.
% Evidence is defined as the sum_i=1^N p(x|w_i)p(w_i)
% for point x and components w_i.

% if mix.Nd == 0
%   evid = zeros( 1, size(X,2) );
%   return;
% end

evid = sum( GMM_likelihood( X, mix) .* repmat( mix.prior', 1, size(X,2) ),1);

return;