function h = coherence_histogram( w )

% m = coherence_matrx( w )
% compute the Euclidean distance between each pair of rings

N = size(w);
m = zeros(1,round(N(1)*(N(1)-1)/2));
k = 0;
for r1 = 1:N(1)
  for r2 = (r1+1):N(1)
    k =k+1;
    m(k) = sqrt( sum(sum( (w(r1,:,:) - w(r2,:,:)) .^2,3)) / N(2) );
  end
end

dx = sqrt(3) / (N(2)-1);

h = histc( m, 0:dx:(sqrt(3)-dx) );
hs = sum(h);
if hs > eps
  h = h / hs;
end

return;