function m = coherence_matrix( w )

% m = coherence_matrx( w )
% compute the Euclidean distance between each pair of rings

N = size(w);
m = zeros(N(1));
for r1 = 1:N(1)
  for r2 = 1:N(1)
    m(r1,r2) = sqrt( sum(sum( (w(r1,:,:) - w(r2,:,:)) .^2,3)) / N(2) );
  end
end

return;