function trainingdata = type_training_data_init()

% trainingdata = type_trainingdata_init()
% Initiate training data, comprising:
% * The path to a directory containing training images
% * A list of the names of training images
% * The number of samples per ring
% * Samples on the unit ring
% * An empty list of training sessions.
% Each training session comprisies
% * The name of the picture, including its path
% * The scale parameter at which the session was conducted
% * For each feature type, a list of N locations stored as a (2 x N) matrix

% path to training images
trainingdata.pictpath = 'C:\MATLAB6p1\work\images\';

% image files
trainingdata.pictname{1}= 'frog.small.jpg';
trainingdata.pictname{2} = 'still_life1.small.jpg';
trainingdata.pictname{3} = 'taxi.jpg';
trainingdata.pictname{4} ='reagan.pgm';
trainingdata.pictname{5} ='car3.jpg';

% name of types
trainingdata.typename{1} = 'coherent';
trainingdata.typename{2} = 'incoherent';

% colour of type
trainingdata.typecolour = [
  [1 0 0];
  [0 1 0];
];

% inititate training sessions
trainingdata.session = cell(0);

return;
