function jnd = jnd_measure( pos, jndin, Nedge )

% jnd = jnd_measure( pos, func )
% Measure the jnd at the position pos.

jnd = jndin;
jndstep = 0.1;

% Nedge = 49;

figure;

carry_on = 1;
while carry_on
  
  [pict,flag] = jnd_make_pict( pos, jnd, Nedge );
 
  imshow( pict );
  if flag == 1 % not all points lie on a sphere
    title('poor samples');
  else
    title('');
  end
  
  fprintf('options:\n');
  fprintf('left button - lower variance\n');
  fprintf('right button - raise variance\n');
  fprintf('middle button - break out\n');
  
  [c,t,b] = ginput(1);
  if (b == 1)
    jnd = jnd - jndstep;
    if jnd < 0
      fprintf('!!! jnd at zero !!!\');
      jnd = 0;
    end
  elseif (b==3)
    jnd = jnd + jndstep;
  else
    fprintf('  breakout options:\n');
    fprintf('  finish           : =\n');
    fprintf('  lower step size  : -\n');
    fprintf('  raise step size : +\n');
    badinput = 1;
    while badinput == 1
      badinput = 0;
      sui = input('','s');
      switch sui
      case '=' % finish
        carry_on = 0;
      case '+' % raise step size
        jndstep = jndstep*10;
      case '-' % lower step size
        jndstep = jndstep / 10;
      otherwise
        fprintf('!!! bad input !!!\n');
        badinput = 1;
      end
    end
  end
  
end

close( gcf );

return;

