function jpict = jnd_pict( pict )

% jpict = jnd_pict( pict )
% Make a jnd map from the input iage

load 'jnddata';
N = size( pict );
jpict = zeros( N(1), N(2), 2 );
h = waitbar(0,'jnd\_pict');
for j = 1:N(1)
  waitbar( j/N(1), h );
  for i = 1:N(2)
    % estimate 1 jnd for pixel colour, and store in jnd picture.
    jpict(j,i, :) = jnd_estimate( pict(j,i,:), jnddata );
  end
end
close(h);

return;
