% now redundant

close all;
clear all;

pict = imread('../../images/Prague.piece.JPG');
pict = double(pict)/255;
imshow( pict );

Nsample = 16;
rad = 3;
thrsh = 1;

load jnddata;

[x,y] = make_samples( Nsample );


[i,j] = ginput( 1 );


window = samplepict( pict, v,u,rad*x,rad*y );

% get a window
w = location2window( pict, [u;v], [x;y], rad );

N = size( w );

% estimate magnitude of differential
w = [w(:,end,:) w w(:,1,:)];
for j = 1:N(1) % number of rings - currently fixed at 1
  for i =1:N(2) % Nsample per ring
    dn = w(j,i,:);
    dp = w(j,i+2,:);
    d(j,i) = norm(dp(:) - dn(:));
  end
end

% decide if the window contains a visible feature
for j = 1:N(1)
  for i = 1:N(2)
    jnd = jnd_estimate( w(j,i,:), jnddata );
    p(j,i) = (1+erf( (d(j,i) - jnd(1))/jnd(2) ))/2;
  end
end
pv = max(max( p ));




return;



% compute distance from one to the next, and the jnd at each place
window = [window window(:,1)];
for k = 1:size(x,2)
  jnd(:,k) = jnd_estimate( window(:,k), jnddata );
  d(k) = norm(window(:,k) - window(:,k+1));
end
% compute the "forward" probs
v1 = (erf((d - thrsh*jnd(1,:))./jnd(2,:)) + 1)/2;
% and the backward probs
jnd = [jnd(:,2:end) jnd(:,1)];
v2 = (erf((d - thrsh*jnd(1,:))./jnd(2,:)) + 1)/2;

 v =  max( [v1,v2] );
