close all;
clear all;

jndfile = 'jnddata.mat';
load( jndfile );

% choose two points and make a graph of jnd estimates between them

p1 = [0;0;0];
p2 = [1;1;1];

Npoint = 10; % 10; % must be > 1
dp = (p2 - p1)/(Npoint-1);

p = zeros(3,Npoint);
f = zeros(2,Npoint);

for i = 1:Npoint
  p(:,i) = p1 + dp*(i-1); % the point
  f(:,i) = jnd_estimate( p(:,i), jnddata, 2  );
end

figure;
x = [0:(Npoint-1)] * (1/ (Npoint-1));
plot( x, f(1,:), 'b', x, f(1,:)+f(2,:), 'r', x, f(1,:)-f(2,:), 'r' );


