function fullname = training_pict_choose( trainingdata )

% pict = training_pict_choose( trainingdata )
% Allow the user to choose a pictuer from amongst the training data.

% number of images available
N = size(trainingdata.pictname,2);

% make a set of menu options from the picture names 
for i = 1:N
  opt{i} = sprintf('%d : %s', i, trainingdata.pictname{i} );
end

% get an user option index from the menu (guaranteed valid)
i = ui_menu( opt, 1:N );

% generate name of picture
fullname = strcat(trainingdata.pictpath, trainingdata.pictname{i} );

return;


