function [p,ps] = feature_posterior( f, classifier )

%  [p,ps] = feature_posterior( f, classifer )
% Compute posterior

    
%f = EigModel_project( f, classifier.eig );

for k = 1:classifier.Ntype
 
  if classifier.prior(k) > 10^-10
    p(k) = GMM_evidence( f, classifier.gmm{k} ) * classifier.prior(k);
  else
    p(k) = zeros(1,size(f,2));
  end
    % p(k) = EigModel_likelihood( f, classifier.eig{k} ) * classifier.prior(k);
end

ps = sum(p);
p  = p / max(eps,ps);

return;
