function trainingdata = type_training_data_init()

% trainingdata = type_trainingdata_init()
% Initiate training data, comprising:
% * The path to a directory containing training images
% * A list of the names of training images
% * The number of samples per ring
% * Samples on the unit ring
% * An empty list of training sessions.
% Each training session comprisies
% * The name of the picture, including its path
% * The scale parameter at which the session was conducted
% * For each feature type, a list of N locations stored as a (2 x N) matrix

% path to training images
trainingdata.pictpath = 'C:\MATLAB6p1\work\images\';

% image files
trainingdata.pictname{1} = 's1\1.pgm';
trainingdata.pictname{2} =  'einstein.pgm';
trainingdata.pictname{3} = 'reagan.pgm';
trainingdata.pictname{4} = 'woman.small.jpg';
trainingdata.pictname{5} = 'frog.small.jpg';
trainingdata.pictname{6} = 'still_life1.small.jpg';
trainingdata.pictname{7} = 'houses.jpg';
trainingdata.pictname{8} = 'taxi.jpg';
trainingdata.pictname{9} = 'girl.small.jpg';

% name of types
trainingdata.typename{1} = 'flat';
trainingdata.typename{2} = 'edge';
trainingdata.typename{3} = 'ridge';
trainingdata.typename{4} = 'corner';
trainingdata.typename{5} = 'unknown';

% colour of type
trainingdata.typecolour = [
  [1 1 1];
  [1 0 0];
  [0 1 0];
  [0 0 1];
  [0 0 0];
];

% inititate training sessions
trainingdata.session = cell(0);

return;
