close all;
clear all;

%testname = 'stile';
% testname = 'girl';
% testname = 'venice';
testname = 'taxi';
% testname = 'rushmore';
%testname = 'car';
switch( testname )
case 'stile'
  truepict =  imread( 'stile copy.jpg' );
  truepict = double( truepict(:,:,2) >  200 );
  load stile; % contains epict
  epict = double( epict );
case 'girl'
  truepict =  imread( 'e copy.jpg' );
  truepict = double( truepict(:,:,2) >  200 );
  pict = double( imread( '../../images/e.jpg' ) ) /255;
  epict = double( edge( max(pict,[],3),'canny') );
  load e;
case 'venice'
  truepict = imread('Venice02.small.copy.jpg');
  truepict = double( truepict(:,:,2) >  200 );
  pict = double( imread( '../../images/Venice02.small.jpg' ) ) /255;
  epict = double( edge( max(pict,[],3),'canny') );
  load 'venice'
case 'rushmore'
  truepict = imread('rushmore.copy.jpg');
  truepict = double( truepict(:,:,2) >  200 );
  pict = double( imread( '../../images/rushmore.jpg' ) ) /255;
  epict = double( edge( max(pict,[],3),'canny') );
  load 'rushmore'
case 'taxi'
   truepict = imread('taxi copy.jpg');
   truepict = double( truepict(:,:,2) >  200 );
   pict = double( imread( '../../images/taxi.jpg' ) ) /255;
   epict = double( edge( max(pict,[],3),'canny') );
   load 'taxi';
 case 'car'
   truepict = imread('car2.copy.jpg');
   truepict = double( truepict(:,:,2) >  200 );
   pict = double( imread( '../../images/car2.jpg' ) ) /255;
   epict = double( edge( max(pict,[],3),'canny') );
   load 'car2';
otherwise
  return;
end

tpict = kpict(:,:,2) + kpict(:,:,3)+ kpict(:,:,4)+ kpict(:,:,5); % test ALL non-flat points
tpict = tpict > 0.5; % theshold

c = [];
u = [];
for b = 0.5:10
  blurtruepict = 1-pictNorm( pictDerivs( truepict, b, 0 ) );
  truecount = sum(sum( blurtruepict ) );

  tpcanny = sum(sum( epict .* blurtruepict ) ); % true positive count for canny
  fpcanny = sum(sum(  epict .* (1-blurtruepict) ) );  % false postive count for canny

  tpuse = sum(sum( tpict .* blurtruepict )); % true postive count for us
  fpuse = sum(sum( tpict .* (1-blurtruepict) )); % false postive count for us

 c(:, end+1) = [tpcanny / truecount ;  fpcanny / (tpcanny+fpcanny)];
 u(:,end+1) = [tpuse / truecount ; fpuse/(tpuse+fpuse)];
end

figure;
hold on;
plot( c(2,:), c(1,:) );
plot( u(2,:), u(1,:), 'r' );
ylabel( 'true postive rate');
xlabel('false postive rate');
title( testname );

return;