function pc = coherence_prob_pict( pict, samploc, rad, coherencedata )

% pc = coherence_prob_pict( pict, samprad, rad )

if nargin < 4
  load coherencedata;
end

rmax = max(rad);
N = size( pict );
pc = zeros(N(1),N(2));
h = waitbar( 0, 'coherence\_prob\_pict');
for j = (rmax+1):(N(1)-rmax)
  waitbar( j/N(1), h );
  for i = (rmax+1):(N(2)-rmax)
    % get a window
    w = location2window( pict, [i;j], samploc, rad );    
    % compute  a coherence matrix
     pc(j,i) = window_coherence_prob( w, coherencedata );
  end % for i
end % for j
close(h);
pc = pc / max(max(pc) );

return;
