function p = coherence_window_prob( w, coherencedata )

% p = coherence_window_prob( w, coherencedata )
% Estimate the probabilty that a window, w, 
% is coherent - given coherence data.

% get the coherence matrix
m = coherence_matrix( w );

% make a measure
x = sum(sum(m))/ prod(size(m));

% estimate probability of coherence
%p = 1-exp( -0.5*((ms-coherencedata.mu)/coherencedata.sigma).^2 );
% p = 1-(erf( (x-coherencedata.mu)/coherencedata.sigma )+1)/2;

p = exp( -x/ 0.25 );


return;
