close all;
clear all;


pict = double(getpict( 1 ))/255;
load jnddata;

N = size(pict(:,:,1));

dx = zeros(N(1),N(2));
dy = dx;

for j  = 1:N(1)
  for i = 1:(N(2)-1)
    dx(j,i) = jnd_distance( pict(j,i+1,:), pict(j,i,:), jnddata );
  end
end


for j  = 1:(N(1)-1)
  for i = 1:N(2)
    dy(j,i) = jnd_distance( pict(j+1,i,:), pict(j,i,:), jnddata );
  end
end

ds = sqrt(dx.^2 + dy.^2);

figure;
subplot(1,3,1);
imshow( dx > 1 );
subplot(1,3,2);
imshow( dy > 1 );
subplot(1,3,3 );
imshow( ds > 1 );

return;


