function jnddata = jnd_sample_check( jnddatain, tol, Nedge )

% iterate through the points to measure any estimates
% these have been included by the insertion of any new leaves.

jnddata = jnddatain;

Np = size(jnddata.func,2);
for i = 1:Np
  if jnddata.func(3,i) == 0 % no measure here
    p = jnddata.point(:,i);
    f = jnd_measure_trial( p, tol, Nedge );
    jnddata = jnd_sample_update( f,i,jnddata );
    
    % save here to allow for use interuption etc
    % save( jndfile, 'jnddata' );  
  end
end

return;
