function featurelocation  = training_session( pict, rad, featurelocation, name, colour )

% session = training_session( fullname, rad, flocation )
% Run a user interactive training session given a picture's full name (including path)
% the disc sampling radius, and the current training data.


% count the number of feature types
Ntype = size( featurelocation,2 );

% % create empty buffers to store the location of different sample types
for k = 1:Ntype
  location{k} = zeros(0,2);
end

% create messages for user menu
optmssg{1} = '0 : exit';
for i = 1:Ntype
  optmssg{i+1} = sprintf(  '%d  : collect locations for %s group' , i, name{i} );
end
%optmssg{end+1} = sprintf( '%d collect locations for unkown group', Ntype+1 );
optvalue = 0:Ntype; % and values too

% make colours for each type
% Ntype = size( trainingdata.typename, 2);
% colour = [
%   1 1 1;
%   hsv2rgb( [ [0:(Ntype-2)]'/(Ntype-1) ones(Ntype-1,2)] );
%   0 0 0;
% ];
% colour = trainingdata.typecolour;


% copy and show the input image
rpict = pict;
imshow( rpict );
opt = ui_menu( optmssg, optvalue );

% interactively select locations
while opt ~= 0
  [location{opt},rpict] = training_getdata( pict, rpict, location{opt}, rad,colour(opt,:) );
    opt = ui_menu( optmssg, optvalue );
end

for i = 1:Ntype
  featurelocation{i} = [ featurelocation{i} location{i}'];
end

%record the session details
% session.fullname = fullname;
% session.rad = rad;
% session.location = location;

%trainingdata.session{end+1} = session;

return;


