function dpict = type_pict_vis( kpict, graf )


N = size( kpict );
tpict = double( bwmorph( sum( kpict(:,:,2:4),3), 'erode', [0 1 0; 1 1 1; 0 1 0] ) );
%tpict = double( bwmorph( sum( kpict(:,:,2:4),3), 'thin' ) );


for k = 1:N(3)
  kpict(:,:,k) = kpict(:,:,k) .* tpict;
end

dpict = zeros( N(1), N(2), 3 );
for j = 1:N(1)
  for i = 1:N(2)
    p = kpict( j,i, : );
    k = find( p > 0.5 );
    if ~isempty(k)
      dpict(j,i,:) = graf(:,k);
    else
      dpict(j,i,:) = 0;
    end
  end
end

return;
