function h = type_pict_visualise( pict, kpict, trainingdata )

figure;
imshow( pict );
hold on;

[x,y] = make_samples( 16 );
x = [x x(1)];
y = [y y(1)];
x = x*rad;
y = y*rad;

N = size( kpict );
for j = 1:N(1)
  for i = 1:N(2)
    [p,k] = max( kpict(j,i,:) );
    if k == 4 & p > 0.5
      u = x + i;
      v = y + j;
      for k = 1:16
        plot( u(k:k+1), v(k:k+1), 'color', 'b' );
      end
    end
  end
end


% 
% c = trainingdata.typecolour;
% N = size( kpict );
% c = c(1:N(3),:);
% c(end,:) = [1 0 1];
% 
% tpict = zeros( N(1), N(2),3 );
% for j = 1:N(1)
%   for i = 1:N(2)
%     [p,k] = max( kpict(j,i,:));
%     cc = c(k,:) * p;
%     tpict(j,i,:) = cc(:);
%   end
% end
% 
% h = imshow( tpict );

