function [da, dr] = window_radiff(  w, wc )

% [da, dr] = window_radiff(  w )
% Estimate the tangential and radial differentials at every sample in the window w.
% Assume w(1,:,:) is the INNER most ring.
% wc is the central colour

% estimate differential
da =  [w(:,end,:) w(:,1:end-1,:)] - [w(:,2:end,:) w(:,1,:)];
dr  =  [ w(1,:,:) - repmat(wc,1,size(w,2)) ;  w(2:end,:,:) - w(1:end-1,:,:)];

return;

